curl --request PATCH \
--url https://api.olostep.com/v1/batches/{batch_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"status": "reviewed",
"reviewer": "jane@example.com"
}
}
'import requests
url = "https://api.olostep.com/v1/batches/{batch_id}"
payload = { "metadata": {
"status": "reviewed",
"reviewer": "jane@example.com"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {status: 'reviewed', reviewer: 'jane@example.com'}})
};
fetch('https://api.olostep.com/v1/batches/{batch_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "batch_abc123def456",
"object": "batch",
"status": "completed",
"created": 1704067200,
"total_urls": 10,
"completed_urls": 10,
"metadata": {
"batch_name": "Q1 Product Sync",
"status": "reviewed",
"reviewer": "jane@example.com"
}
}{
"id": "error_abc123",
"object": "error",
"code": "invalid_metadata",
"type": "https://docs.olostep.com/api-reference/errors/bad_request",
"status": 400,
"title": "Bad Request",
"detail": "No metadata field provided. Only metadata can be updated.",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "invalid_api_key",
"type": "https://docs.olostep.com/api-reference/errors/unauthorized",
"status": 401,
"title": "Unauthorized",
"detail": "Your API key is invalid",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "batch_not_found",
"type": "https://docs.olostep.com/api-reference/errors/not_found",
"status": 404,
"title": "Not Found",
"detail": "Batch not found",
"created": 1704067200,
"metadata": {}
}{
"id": "error_abc123",
"object": "error",
"code": "internal_server_error",
"type": "https://docs.olostep.com/api-reference/errors/internal_error",
"status": 500,
"title": "Internal Server Error",
"detail": "An unexpected error occurred",
"created": 1704067200,
"metadata": {}
}Update Batch
Updates the metadata for a specific batch. Only metadata can be updated after batch creation.
"" are deleted.Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Path Parameters
The ID of the batch to update.
Body
Set of key-value pairs for storing additional information about an object. Follows Stripe's approach with validation rules: max 50 keys, key max 40 characters (no square brackets), value max 500 characters, all values stored as strings.
Show child attributes
Show child attributes
{
"order_id": "12345",
"customer_name": "John Doe",
"priority": "high",
"processed": "true"
}
Response
Batch metadata updated successfully.
Batch ID
The kind of object. "batch" for this endpoint.
in_progress or completed
Created epoch
Count of URLs in the batch
Count of completed URLs
Set of key-value pairs for storing additional information about an object. Follows Stripe's approach with validation rules: max 50 keys, key max 40 characters (no square brackets), value max 500 characters, all values stored as strings.
Show child attributes
Show child attributes
{
"order_id": "12345",
"customer_name": "John Doe",
"priority": "high",
"processed": "true"
}
Was this page helpful?